query listRoleCategories @auth(level: USER) {
  roleCategories {
    id
    roleName
    category
    createdAt
    updatedAt
  }
}

query getRoleCategoryById($id: UUID!) @auth(level: USER) {
  roleCategory(id: $id) {
    id
    roleName
    category
    createdAt
    updatedAt
  }
}

query getRoleCategoriesByCategory($category: RoleCategoryType!) @auth(level: USER) {
  roleCategories(where: { category: { eq: $category } }) {
    id
    roleName
    category
  }
}
